SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Database)  >   MySQL Vendors:   MySQL.com, Oracle
(Ubuntu Issues Fix) MySQL Multiple Flaws Let Remote Users Access Data, Remote and Local Users Deny Service, and Local Users Access and Modify Data
SecurityTracker Alert ID:  1038980
SecurityTracker URL:  http://securitytracker.com/id/1038980
CVE Reference:   CVE-2017-3635, CVE-2017-3636, CVE-2017-3641, CVE-2017-3648, CVE-2017-3651, CVE-2017-3652, CVE-2017-3653   (Links to External Site)
Date:  Jul 25 2017
Impact:   Denial of service via local system, Denial of service via network, Disclosure of system information, Disclosure of user information, Modification of system information, Modification of user information
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 5.5.56 and before, 5.6.36 and before, 5.7.18 and before
Description:   Multiple vulnerabilities were reported in MySQL. A remote user can access data on the target system. A remote or local user can cause denial of service conditions on the target system. A local user can access and modify data on the target system.

A remote user can exploit a flaw in the Server: Memcached component to partially modify data and cause denial of service conditions [CVE-2017-3633].

A remote authenticated user can exploit a flaw in the Server: DML component to cause denial of service conditions [CVE-2017-3634].

A remote authenticated user can exploit a flaw in the Connector/C component to cause denial of service conditions [CVE-2017-3635].

A remote authenticated user can exploit a flaw in the C API component to cause denial of service conditions [CVE-2017-3635].

A local user can exploit a flaw in the Client programs component to partially access data, partially modify data, and partially deny service [CVE-2017-3636].

A remote authenticated user can exploit a flaw in the Server: UDF component to cause denial of service conditions [CVE-2017-3529].

A remote authenticated user can exploit a flaw in the X Plugin component to cause denial of service conditions [CVE-2017-3637].

A remote authenticated user can exploit a flaw in the Server: DML component to cause denial of service conditions [CVE-2017-3639, CVE-2017-3640, CVE-2017-3641, CVE-2017-3643, CVE-2017-3644].

A remote authenticated user can exploit a flaw in the Server: Optimizer component to cause denial of service conditions [CVE-2017-3638, CVE-2017-3642, CVE-2017-3645].

A remote authenticated user can exploit a flaw in the X Plugin component to cause denial of service conditions [CVE-2017-3646].

A remote authenticated user can exploit a flaw in the Server: Charsets component to cause denial of service conditions [CVE-2017-3648].

A remote authenticated user can exploit a flaw in the Server: Replication component to cause denial of service conditions [CVE-2017-3647, CVE-2017-3649].

A remote authenticated user can exploit a flaw in the Client mysqldump component to partially modify data [CVE-2017-3651].

A remote authenticated user can exploit a flaw in the Server: DDL component to partially access and partially modify data [CVE-2017-3652].

A remote user can exploit a flaw in the C API component to partially access data [CVE-2017-3650].

A remote authenticated user can exploit a flaw in the Server: DDL component to partially modify data [CVE-2017-3653].

Zuozhi Fan formerly of Alibaba and John Lightsey reported some of these vulnerabilities.

Impact:   A remote user can obtain data on the target system.

A local user can cause denial of service conditions on the target system.

A remote user can cause denial of service conditions.

A local user can obtain data on the target system.

A local user can modify data on the target system.

Solution:   Ubuntu has issued a fix for CVE-2017-3635, CVE-2017-3636, CVE-2017-3641, CVE-2017-3648, CVE-2017-3651, CVE-2017-3652, and CVE-2017-3653.

The Ubuntu advisory is available at:

https://www.ubuntu.com/usn/usn-3357-1

Vendor URL:  www.ubuntu.com/usn/usn-3357-2 (Links to External Site)
Cause:   Not specified
Underlying OS:  Linux (Ubuntu)
Underlying OS Comments:  12.04 ESM

Message History:   This archive entry is a follow-up to the message listed below.
Jul 18 2017 MySQL Multiple Flaws Let Remote Users Access Data, Remote and Local Users Deny Service, and Local Users Access and Modify Data



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2020, SecurityGlobal.net LLC